adesklets: Uma leve e funcional ferramenta de displays

Cansado de tentar instalar o gdesklets e do peso do superkaramba? Não se preocupe, o adesklets chegou para te salvar! Uma ferramenta leve e de fácil instalação/configuração, escrita em ansi C (com um módulo de conexão em python) e com pouquíssimas dependências.

[ Hits: 54.853 ]

Por: Fernando Iury Alves Costa em 03/05/2005


Introdução



Cansado de tentar instalar o gdesklets e do peso do superkaramba? Não se preocupe... o adesklets chegou para te salvar!

Um pouco de historinha:

Um belo dia, no mesmo lugar onde estou (no trabalho), muito à toa, como de costume, estava navegando à procura de novos programas para o nosso grandioso pinguim, afim de passar logo o tempo.

Foi aí que, ao olhar um screenshot, me deparei com uma barra de ícones bem legal (que nunca tinha visto). Imaginei que, mais uma vez, fosse um gdesklets (cheio das suas dependências chatas de instalar) da vida ou talvez o superkaramba (pesado e que necessita do KDE e algumas configurações adicionais para funcionar fora dele). Mas não, ao olhar a descrição da screen, percebi que se tratava de algo novo para mim, algo chamado adesklets.
    Próxima página

Páginas do artigo
   1. Introdução
   2. Instalando as dependências
   3. Instalando o adesklets
   4. Instalando os displays
   5. Conclusão
Outros artigos deste autor

Instalação e configuração da impressora HP 3745 (e similares)

Fazendo sua webcam com chipset sn9c10x funcionar no Linux

Leitura recomendada

Como criar apresentações Flash usando o vnc2swf

Interação entre MLdonkey e Mozilla no Linux

SIGE Plus, uma derivação do código do Siages descontinuado pela Solis

Implementando servidor web Java com Tomcat no Linux

Docker - Infraestrutura simples e rápida

  
Comentários
[1] Comentário enviado por Grobsch em 03/05/2005 - 07:57h

Legal achado, eu que tento ao máximo criar um desktop digno e funcional vou dar uma olhada com certeza, já que o Karamba, que eu acho excelente, necessita de kde, e o gdesklets eu não gosto...
Comecei animado a ler o artigo, mas me desanimei um pouco com a necessidade de python... entretanto talvez tenha que reconsiderar já que alguns outros ótimos programas começam a usar esta lnguagem...

Abs

[2] Comentário enviado por felipebalbi em 03/05/2005 - 09:22h

Realmente muito bom achado.

É um software funcional e leve. Bom para quem tem máquinas relativamente antigas e desejam um desktop legal.

Com fluxbox e adesklets da pra fazer verdadeiras obras-de-arte no desktop!

[]'s
Felipe Balbi

[3] Comentário enviado por hdoria em 03/05/2005 - 11:40h

Bom artigo. Na verdade eu já conhecia o adsklets, e ele realmente é muito mais leve que os concorrentes.

O único problema que eu vi no adesklets é que ele não roda no KDE. No próprio FAQ do adesklets tem algo sobre. Porém eu já vi algumas pessoas rodando ele no KDE.

Se alguém souber como fazer isso avisa aí porfavor.


[4] Comentário enviado por jmarceno em 03/05/2005 - 12:15h

Parece realmente muito legal, vou da uma confirida...

[5] Comentário enviado por pyros em 03/05/2005 - 12:56h

Eu já havia testado esse programa a um bom tempo atras, eu instalei a maioria dos desklets com sucesso, o problema foi justamente com o yab e outro desklet q se baseia nele, quando eu altero a config da barra para adicionar novos icones ela dá um pau e nao abre mais, ou seja, a barra só aceita a config default... se alguem souber como resolver me dá um toque pq eu ja tentei de tudo e nao consegui nada...

[6] Comentário enviado por fernandoiury em 03/05/2005 - 15:41h

bom pra configurar o yab entre na pasta do mesmo e edite o arquivo config.txt

A parte ICONS (que é onde se mudam os mesmos, adiciona-se novos atalhos e etc) deve ficar mais ou menos assim:

'icons': [('home.png', 'Home NaNaM', 'rox'),
('firefox.png', 'Firefox', 'firefox'),
('amsn.png', 'aMSN', 'amsn'),
('terminal.png', 'Terminal', 'aterm'),
('emacs.png', 'GNU Emacs', 'emacs'),
('gimp.png', 'The GIMP', 'gimp'),
('xmms.png', 'XMMS', 'xmms')]}

PS: onde o primeiro campo é o ícone (que deve ficar na pasta icons, dentro da propria pasta do yab), o segundo campo é a descrição e o terceiro campo é o comando executável.

[7] Comentário enviado por andretyn em 03/05/2005 - 16:53h

Para quem tem Debian & Cia, é só dar um apt-get install adesklets que tem pacote para o woody e sid

[8] Comentário enviado por fsecco em 04/05/2005 - 18:51h

Uso debian e consegui instalar o adesklets, porém o problema está que ele não aparece no meu KDE, quer dizer ao ser executado ele aparece só que fica como se fosse por trás do KDE, alguém sabe como posso resolver este problema, em um comentário acima li que não rodava no KDE, porém no mesmo comentário o cara desmente isso, se alguém souber solucinar meu problema agradeço.

[9] Comentário enviado por pyros em 05/05/2005 - 15:10h

Galera, consegui resolver meu problema, pra quem tiver o mesmo, o negocio eh que a porcaria do yab(um desklet) não aceita colocar icones repetidos, duas referencias ao icone (casinha.png) então eu dupliquei o arquivo com outro nome (casinha2.png) e aí abriu normalmente! outro problema que tb dá pra resolver eh pra acessar o config.txt atraves do click com o botão direito do mouse e indo em "config algum acoisa" tem que ter o xterm instalado, e a variável de ambiente "EDITOR" corretamente setada, só pra agradecer a galera do forum do adesklets e o FAQ que dá essa dica do config!

[10] Comentário enviado por fernandoiury em 06/05/2005 - 21:27h

Complemtentando o que o nosso amigo acima disse:
Para setar a variável de ambiente EDITOR usa-se o comando

export EDITOR=vim

PS: mude "vim" para o editor de sua preferência

Se quiser que isto seja feito automaticamente adicione essa linha no seu .bashrc ou .bash_profile

abraços

[11] Comentário enviado por sampaioprimo em 10/05/2005 - 00:42h

Olá, estou tentando instalar o adesklets mas estou enfrentando o seguinte problema: instalei o programa com apt-get install adesklets e depois instalei o tema anetmon. Rodo python anetmon.py e o tema abre, o problema é que ele não configura esse tema para abrir quando eu rodo o comando adesklets. Ou seja, se eu rodo adesklets não acontece nada, nem aparece o tema que já instalei nem aparece uma mensagem de erro no console. Você teria alguma idéia do que pode estar acontecendo? Já tentei instalar outros temas e aconteceu o mesmo. Eu uso debian-br-cdd pre4. Obrigado, Rodrigo.

[12] Comentário enviado por fernandoiury em 10/05/2005 - 14:41h

Logo após a publicação do artigo o criador do adesklets me enviou um email alertando que, para gravar o tema no arquivo .adesklets, o comando "python arquivo.py" não iria servir. Portanto, deve-se executar o arquivo, como foi citado no artigo:

$ ./arquivo.py

( se este não estiver com permissão de execução: $ chmod +x arquivo.py )

Assim, ao se executar o adesklets ele abrirá o tema automaticamente.

abraços,
nanam aka Fernando Costa

[13] Comentário enviado por sampaioprimo em 10/05/2005 - 17:20h

Fernando, valeu pela dica mas continua dando a mesma coisa usando ./arquivo.py ao invés de python arquivo.py. Descobri que se eu fecho o tema depois de abrir ele no terminal com o comando ./arquivo.py aparece a seguinte mensagem no terminal:

rodrigo@debian:~/.adesklets/SystemMonitor-0.1.2$ ./SystemMonitor.py
Traceback (most recent call last):
File "./SystemMonitor.py", line 986, in ?
EventHandler(dirname(__file__)).pause()
File "/usr/lib/python2.3/site-packages/adesklets/events_handler.py", line 228, in pause
posix_signal.pause()
File "/usr/lib/python2.3/site-packages/adesklets/events_handler.py", line 188, in _fire_event
self._alarm()
File "/usr/lib/python2.3/site-packages/adesklets/events_handler.py", line 296, in _alarm
timeout=self.alarm()
File "./SystemMonitor.py", line 981, in alarm
meter.update()
File "./SystemMonitor.py", line 555, in update
adesklets.set(self._macro_krell[index], int(self._krell_width * __krell_value[index]))
File "/usr/lib/python2.3/site-packages/adesklets/commands.py", line 114, in set
return comm.out()
File "/usr/lib/python2.3/site-packages/adesklets/commands_handler.py", line 93, in out
output=self.__comm.out(.01)
File "/usr/lib/python2.3/site-packages/adesklets/communicator.py", line 91, in out
raise ADESKLETSError(1)
adesklets.error_handler.ADESKLETSError: adesklets process exited -
rodrigo@debian:~/.adesklets/SystemMonitor-0.1.2$

Para mim isso não significa muita coisa, mas coloquei ai pois talvez indique o problema que esta acontecendo. Obrigado, Rodrigo.

[14] Comentário enviado por fernandoiury em 10/05/2005 - 20:46h

Talvez seja algum erro do python ou na compilação. Você instalou via apt ? Se não, tente. Se sim tente compilar.

No caso do slackware foi necessário compilar a libstatgrab também, mas acho que não é esse o seu caso.

Desculpa não saber o que é ao certo, mas é tentando que se acerta.

ehehhe :)

[15] Comentário enviado por fernandoiury em 10/05/2005 - 20:46h

Talvez seja algum erro do python ou na compilação. Você instalou via apt ? Se não, tente. Se sim tente compilar.

No caso do slackware foi necessário compilar a libstatgrab também, mas acho que não é esse o seu caso.

Desculpa não saber o que é ao certo, mas é tentando e errando que se acerta.

ehehhe :)

[16] Comentário enviado por rafaslack em 02/06/2005 - 21:33h

Pessoal o meu apareceu o seguinte erro:

rafa@slack:~/.desklets/weatherforecast-0.2.0$ ./weatherforecast.py
python: Modules/gcmodule.c:231: visit_decref: Assertion `gc->gc.gc_refs !=0' failed.
Abortado
rafa@slack:~/.desklets/weatherforecast-0.2.0$ python weatherforecast.py
python: Modules/gcmodule.c:231: visit_decref: Assertion `gc->gc.gc_refs !=0' failed.
Abortado

O que devo fazer? Por favor me ajudem.
Obrigado

[17] Comentário enviado por flaviobarros em 04/11/2005 - 21:17h

Eu também tive um problema semelhante só que no debian. Quando fui instalar o weatherforecast no momento que dei o comando ./weatherforecast.py
ele me dá o seguinte erro:
ImportError: No module named adesklets

Porque será que isso está acontecendo??

[18] Comentário enviado por hideoux em 05/12/2005 - 01:24h

olá,
acabei de instalar e tenho os seguintes problemas já descritos acima, mas sem respostas:
1) o aDesklets não rodou no kde...
2) tentei rodar no Xfce4. Instalei o yab. Utilizei inclusive o comando "adesklets --xfce4" no terminal...
Então ele começa a rodar... Mas logo que eu tento clicar sobre a barra, aparece no terminal a mensagem "*** buffer overflow detected ***: adesklets terminated"

Alguém sabe resolver isso?

valeu

[19] Comentário enviado por CATRON em 14/02/2006 - 13:36h

E ai cara, segui todos os passos que tu dispõe no artigo, porém nao consigo manter o display definitivamente, dou um #adesklets e ele aparece de boa, porém qnd reinicio a maquina ele nao está lá +, como resolvo isso, c puder ajudar agradeço???. Valeu

[20] Comentário enviado por fernandoiury em 14/02/2006 - 17:31h

bom para ele ficar sempre vc tem que colocar ele pra iniciar junto com o X

[21] Comentário enviado por CATRON em 15/02/2006 - 19:10h

Blz, iniciar junto com o X é diferente de iniciar somente o X, se pensarmos na prática????? Se for como eu inicio o display junto com o X????? Valeu!

[22] Comentário enviado por fernandoiury em 15/02/2006 - 22:18h

altera o .xinitrc no seu HOME

na ultima linha deve estar chamando o seu gerenciador de janelas... para iniciar junto basta colocar o adesklets na linha anterior.

EX:
----------------- exemplo de .xinitrc
#!/bin/sh

# windowmaker
fspanel &
wmfire &
wmcube &
wmcpuload &
wmWeather -s SBRJ -d 2 -m &
wmclock &
wmbiff -relax 1>/dev/null 2>/dev/null &
xplanet &
adesklets & <--------------------------------- eh importante o &
exec wmaker

[23] Comentário enviado por mormaii em 24/03/2006 - 23:11h

mto bom o artigo... sou iniciante no linux e to com um problema.

quando eu do o comando ./configure aparece o seguinte:

gabriel@gabriel:~/Desktop/adesklets-0.6.0$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... no
checking whether to enable maintainer-specific portions of Makefiles... no
checking for style of include used by make... none
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.

[24] Comentário enviado por fernandoiury em 25/03/2006 - 08:21h

checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.

é só ler o erro.. você tá sem compilador.

instala o gcc e tenta novamenta que vai funcionar ;D

[25] Comentário enviado por yarlos em 11/06/2006 - 20:25h

Cara me ajuda não estou conseguindo instalar o adesklets?

[26] Comentário enviado por Moe em 21/07/2006 - 08:38h

AO EXECUTAR ./CONFIGURE DO ADESKLETS RECEBO UM ERRO ONDE NAO E ENCONTRADO READLINE LIBRARY .. COMO POSSO CORRIGIR ESSE ERRO? UTILIZO FC5.
OBRIGADO!

[27] Comentário enviado por fernandoiury em 21/07/2006 - 11:24h

bom o próprio erro está te dizendo. Está faltando essa lib. Tente instalá-la e rode o ./configure novamente

[28] Comentário enviado por removido em 30/07/2006 - 08:40h

muito bom o artigo cara, parabens!

[29] Comentário enviado por Warheart em 31/08/2006 - 14:45h

Aqui ele roda.. mais não aparece nada!

Tipo.. eu digitei:

bash-3.00# adesklets
bash-3.00#

e quando eu digitei ps -A, o processo do programa está rodando no pc..

o que será que acontece?

[30] Comentário enviado por fernandoiury em 31/08/2006 - 16:43h

Fala cara, blz ?

Qual ambiente gráfico vc tá usando ?

Vc instalou algum display ?


[31] Comentário enviado por Warheart em 31/08/2006 - 17:48h

eu fiz tudo exatamente igual ao seu artigo.

Apenas ao invés de usar o tar.gz, consegui um .tgz dele!

Eu já mudei tudo, instalei TODOS os displays disponíveis pelo comando adesklets_installer.

Eu uso o slackware 10.2
KDE 3.4.2

[32] Comentário enviado por Warheart em 31/08/2006 - 17:51h

Se fosse possível, gostaria que você colocasse a configuração de seu .adesklets!

to louco pra usar ele.. eu tenho o gdesklets aki.. mais eu tive q criar um usuário comum pra poder usá-lo..!

como eu uso meu pc só, gosto de ficar como root mesmo ;D

[33] Comentário enviado por coffnix em 07/10/2006 - 21:16h

não funciona no kde!!!

[34] Comentário enviado por rafanun em 15/10/2006 - 19:36h

Olá pessoal,

Estou tendo dificuldades para instalar o adesklets (sou iniciante no linux), segui as orientações postadas pelos colegas, mas quando eu dou o comando ./configure aparece o seguinte: checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... no
checking whether to enable maintainer-specific portions of Makefiles... no
checking for style of include used by make... none
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.


Se alguém puder me ajudar eu agradeço.

[35] Comentário enviado por rmachado em 01/01/2007 - 19:38h

Boa Noite Pessoal!!!
Fiz tudo igual ao artigo só que quando tento executar o desklets( weatherforecast) dá esse erro:
skynet:/home/ricardo/.desklets/weatherforecast-0.2.0# ./weatherforecast.py
Traceback (most recent call last):
File "./weatherforecast.py", line 41, in ?
import adesklets
File "/usr/lib/python2.3/site-packages/adesklets/__init__.py", line 36, in ?
_init=_Initializer()
File "/usr/lib/python2.3/site-packages/adesklets/initializer.py", line 60, in __init__
raise ADESKLETSError(3,event)
adesklets.error_handler.ADESKLETSError: adesklets interpreter initialization error - Configuration file parsing error `syntax error', stopped at line 8.

Exception exceptions.AttributeError: <exceptions.AttributeError instance at 0x401c7a6c> in <bound method _Communicator.__del__ of <adesklets.communicator._Communicator instance at 0x40333d4c>> ignored
Obs: Instalei o Python e o adesklets pelo apt-get
Se alguém puder me ajudar, agradeço muito!!

[36] Comentário enviado por djtornados em 05/01/2007 - 04:10h

Caro nanam desculpe a minha gorança mas segui tudo até que deparei com este contra tempo que nao descubri como resolver por favor se puder me ajudar agradeço desde ja obrigado.
só para constar minha distro é fedora6.


[djtornados@djtornados adesklets-0.6.1]$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for style of include used by make... GNU
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking dependency style of gcc... gcc3
checking how to run the C preprocessor... gcc -E
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ANSI C... (cached) none needed
checking dependency style of gcc... (cached) gcc3
checking for flex... no
checking for lex... no
checking for yywrap in -lfl... no
checking for yywrap in -ll... no
configure: WARNING:
-----------------------------------------------------
`flex' was not found on your system. If you encounter
problems recompiling a `l' file, please try `flex'
first. You can get it from any GNU archive site.
You will not need `flex' as long as you do not
modify `l' files.
----------------------------------------------------
checking for bison... no
checking for byacc... no
configure: WARNING:
-----------------------------------------------------
Nor `byacc' or `yacc' parsers had been used
for developing adesklets. If you encounter problems
recompiling a `y' file, please try `bison' instead.
You can get it from any GNU archive site. You will
not need `bison' as long as you do not modify
`y' files.
-----------------------------------------------------
checking for a BSD-compatible install... /usr/bin/install -c
checking for a Python interpreter with version >= 2.3... python
checking for python... /usr/bin/python
checking for python version... 2.4
checking for python platform... linux2
checking for python script directory... ${prefix}/lib/python2.4/site-packages
checking for python extension module directory... ${exec_prefix}/lib/python2.4/site-packages
checking for Python include path... /usr/include/python2.4
checking for Python library path... /usr/lib/python2.4/config
checking python extra libraries...
checking for sigprocmask... yes
checking for perl... /usr/bin/perl
checking for perl version greater than or equal to 5.8.2... ok
checking for perl module IPC::Open3... ok
checking for help2man... no
checking for tidy... no
checking for doxygen... no
checking for ISO C99 warnings generation... yes
checking for egrep... grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking stdio.h usability... yes
checking stdio.h presence... yes
checking for stdio.h... yes
checking stdarg.h usability... yes
checking stdarg.h presence... yes
checking for stdarg.h... yes
checking errno.h usability... yes
checking errno.h presence... yes
checking for errno.h... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking signal.h usability... yes
checking signal.h presence... yes
checking for signal.h... yes
checking time.h usability... yes
checking time.h presence... yes
checking for time.h... yes
checking math.h usability... yes
checking math.h presence... yes
checking for math.h... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking for sys/types.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking grp.h usability... yes
checking grp.h presence... yes
checking for grp.h... yes
checking pwd.h usability... yes
checking pwd.h presence... yes
checking for pwd.h... yes
checking libgen.h usability... yes
checking libgen.h presence... yes
checking for libgen.h... yes
checking dirent.h usability... yes
checking dirent.h presence... yes
checking for dirent.h... yes
checking iconv.h usability... yes
checking iconv.h presence... yes
checking for iconv.h... yes
checking for debugging symbols generation... no
checking for sigkill timeout... yes
checking for polling frequency... checking for bc... yes
checking for lock files directory setting... yes
checking for control modifier on context menu... no
checking for legacy fake root window detection code... no
checking for frontend shell driver... yes
checking for date... (cached) yes
checking for uname... (cached) yes
checking for tputs in -lncurses... no
checking for tputs in -ltermcap... no
checking for tputs in -lcurses... no
configure: error: Could not find terminal management library for readline
(either ncurses, termcap or curses).

[37] Comentário enviado por daemonio em 25/01/2007 - 21:03h

Aí galera, quem usa o slackware já pode pegar o tgz pronto em:
www.slackware.com/~alien/slackbuilds/adesklets/pkg/

[38] Comentário enviado por d1060 em 04/03/2007 - 23:52h

ae valeu! quero deixar meu black box mais legal sem sacrificar meu processador, agora ja sei como.
faloura!

[39] Comentário enviado por cdvdt em 07/03/2007 - 14:10h

o aDesklets roda sim com o KDE, eu uso, mas voce tem que permitir que programas rodem no desktop indo em Area de trabalho no Kcontrol, comportamento e marcar a opção: Permitir programas na janela da área de trabalho, então iniciá-lo com o comando adesklets --kde.
A algum tempo, quando eu instalei o adesklets aqui o pacote debian estava com problema e eles indicavam onde encontrar um substituto, eu não sei onde fica mas talvez já tenham corrigido o problema

[40] Comentário enviado por ferezini em 02/04/2007 - 12:23h

Como deixo a barrinha que fica atras dos icones transparente???
flws

[41] Comentário enviado por kakashi_kun em 01/11/2007 - 15:40h

cara eu posso qualquer icone nesse negocio ou so os que eles fazem???

Tem outro site com icones

[42] Comentário enviado por kakashi_kun em 02/11/2007 - 16:58h

To com um problema alguem sabe oque é isso

File "./yab.py", line 48, in ?
import adesklets
File "usr/local/lib/python2.4/site-packages/adesklets/__init__.py", line 43, in ?
adesklets.error_handler.ADESKLETSError: adesklets process exited -
Exception exceptions.AttributeError: <exceptions.AttributeError instance at 0xb7d6b18c> in <bound method _Communicator.__del__ of <adesklets.communicator._Communicator instance at 0xb7ca920c>> ignored

[43] Comentário enviado por Miachon em 29/12/2007 - 18:43h

puts o meu tb deu 1 erro to tentando coloca no slack 12 eu entro na pasta q eu crei la mando executa o arquivo eu ponho tanto teste como registro ambos eles dao esse erro:
"============================================================
If you do not see anything (or just an initial flicker
in the top left corner of your screen), try `--help',
and see the FAQ: `info adesklets'.
============================================================
*** glibc detected *** adesklets: munmap_chunk(): invalid pointer: 0x08070010 ***
======= Backtrace: =========
/lib/libc.so.6(cfree+0x1b9)[0xb7c0a219]
/usr/lib/libfontconfig.so.1(FcStrFree+0x3b)[0xb7cfa17b]
/usr/lib/libfontconfig.so.1[0xb7cf8323]
/usr/lib/libfontconfig.so.1(FcPatternDestroy+0x79)[0xb7cf84f9]
/usr/lib/libfontconfig.so.1(FcFontSetDestroy+0x2f)[0xb7cf1d7f]
adesklets[0x8055fb9]
adesklets[0x804e1a6]
adesklets[0x804ca88]
/lib/libc.so.6(__libc_start_main+0xd8)[0xb7bb4df8]
adesklets(rl_filename_completion_function+0x5c9)[0x804c9c1]
======= Memory map: ========
08048000-08062000 r-xp 00000000 08:02 250381 /usr/local/bin/adesklets
08062000-08063000 rw-p 0001a000 08:02 250381 /usr/local/bin/adesklets
08063000-080a0000 rw-p 08063000 00:00 0 [heap]
b7a2a000-b7a34000 r-xp 00000000 08:02 217 /usr/lib/libgcc_s.so.1
b7a34000-b7a35000 rw-p 00009000 08:02 217 /usr/lib/libgcc_s.so.1
b7a52000-b7a62000 r--s 00000000 08:02 93991 /var/cache/fontconfig/8d4af663993b81a124ee82e610bb31f9-x86.cache-2
b7a62000-b7a6c000 r--s 00000000 08:02 93901 /var/cache/fontconfig/d62e99ef547d1d24cdb1bd22ec1a2976-x86.cache-2
b7a6c000-b7a75000 r-xp 00000000 08:02 14110 /lib/libnss_files-2.5.so
b7a75000-b7a77000 rw-p 00008000 08:02 14110 /lib/libnss_files-2.5.so
b7a77000-b7a7f000 r-xp 00000000 08:02 14112 /lib/libnss_nis-2.5.so
b7a7f000-b7a81000 rw-p 00007000 08:02 14112 /lib/libnss_nis-2.5.so
b7a81000-b7a94000 r-xp 00000000 08:02 14107 /lib/libnsl-2.5.so
b7a94000-b7a96000 rw-p 00012000 08:02 14107 /lib/libnsl-2.5.so
b7a96000-b7a98000 rw-p b7a96000 00:00 0
b7a98000-b7a9f000 r-xp 00000000 08:02 14108 /lib/libnss_compat-2.5.so
b7a9f000-b7aa1000 rw-p 00006000 08:02 14108 /lib/libnss_compat-2.5.so
b7aa1000-b7aa2000 rw-p b7aa1000 00:00 0
b7aa2000-b7aa6000 r-xp 00000000 08:02 205825 /usr/lib/libXdmcp.so.6.0.0
b7aa6000-b7aa7000 rw-p 00003000 08:02 205825 /usr/lib/libXdmcp.so.6.0.0
b7aa7000-b7aa9000 r-xp 00000000 08:02 205673 /usr/lib/libXau.so.6.0.0
b7aa9000-b7aaa000 rw-p 00001000 08:02 205673 /usr/lib/libXau.so.6.0.0
b7aaa000-b7aab000 rw-p b7aaa000 00:00 0
b7aab000-b7ac9000 r-xp 00000000 08:02 243 /usr/lib/libexpat.so.1.5.2
b7ac9000-b7acb000 rw-p 0001d000 08:02 243 /usr/lib/libexpat.so.1.5.2
b7acb000-b7ad8000 r-xp 00000000 08:02 205848 /usr/lib/libXext.so.6.4.0
b7ad8000-b7ad9000 rw-p 0000c000 08:02 205848 /usr/lib/libXext.so.6.4.0
b7ad9000-b7aec000 r-xp 00000000 08:02 228 /usr/lib/libz.so.1.2.3
b7aec000-b7aed000 rw-p 00012000 08:02 228 /usr/lib/libz.so.1.2.3
b7aed000-b7b56000 r-xp 00000000 08:02 229 /usr/lib/libfreetype.so.6.3.15
b7b56000-b7b5a000 rw-p 00068000 08:02 229 /usr/lib/libfreetype.so.6.3.15
b7b5a000-b7b5c000 r-xp 00000000 08:02 14104 /lib/libdl-2.5.so
b7b5c000-b7b5e000 rw-p 00001000 08:02 14104 /lib/libdl-2.5.so
b7b5e000-b7b5f000 rw-p b7b5e000 00:00 0
b7b5f000-b7b75000 r-xp 00000000 08:02 206739 /usr/lib/libxcb.so.1.0.0
b7b75000-b7b76000 rw-p 00016000 08:02 206739 /usr/lib/libxcb.so.1.0.0
b7b76000-b7b77000 r-xp 00000000 08:02 206747 /usr/lib/libxcb-xlib.so.0.0.0
b7b77000-b7b78000 rw-p 00000000 08:02 206747 /usr/lib/libxcb-xlib.so.0.0.0
b7b78000-b7b9d000 r-xp 00000000 08:02 14105 /lib/libm-2.5.so
b7b9d000-b7b9f000 rw-p 00024000 08:02 14105 /lib/libm-2.5.so
b7b9f000-b7cdb000 r-xp 00000000 08:02 14101 /lib/libc-2.5.so
b7cdb000-b7cdc000 r--p 0013c000 08:02 14101 /lib/libc-2.5.so
b7cdc000-b7cde000 rw-p 0013d000 08:02 14101 /lib/libc-2.5.so
b7cde000-b7ce1000 rw-p b7cde000 00:00 0
b7ce1000-b7d04000 r-xp 00000000 08:02 204469 /usr/lib/libfontconfig.so.1.2.0
b7d04000-b7d0c000 rw-p 00022000 08:02 204469 /usr/lib/libfontconfig.so.1.2.0
b7d0c000-b7d12000 r-xp 00000000 08:02 207 /usr/lib/libhistory.so.5.2
b7d12000-b7d13000 rw-p 00006000 08:02 207 /usr/lib/libhistory.so.5.2
b7d13000-b7d14000 rw-p b7d13000 00:00 0
b7d14000-b7d3e000 r-xp 00000000 08:02 216 /usr/lib/libreadline.so.5.2
b7d3e000-b7d42000 rw-p 0002a000 08:02 216 /usr/lib/libreadline.so.5.2
b7d42000-b7d43000 rw-p b7d42000 00:00 0
b7d43000-b7d7c000 r-xp 00000000 08:02 197 /lib/libncurses.so.5.6
b7d7c000-b7d84000 rw-p 00039000 08:02 197 /lib/libncurses.so.5.6
b7d84000-b7dd5000 r-xp 00000000 08:02 252398 /usr/lib/libImlib2.so.1.4.0
b7dd5000-b7dd6000 rw-p 00051000 08:02 252398 /usr/lib/libImlib2.so.1.4.0
b7dd6000-b7dea000 rw-p b7dd6000 00:00 0
b7dea000-b7ece000 r-xp 00000000 08:02 205011 /usr/lib/libX11.so.6.2.0
b7ece000-b7ed2000 rw-p 000e3000 08:02 205011 /usr/lib/libX11.so.6.2.0
b7eda000-b7eea000 r--s 00000000 08:02 93893 /var/cache/fontconfig/f6b893a7224233d96cb72fd88691c0b4-x86.cache-2
b7eea000-b7eef000 r--s 00000000 08:02 93851 /var/cache/fontconfig/f349e9996a5320f6dd491cedd2b1f964-x86.cache-2
b7eef000-b7ef0000 rw-p b7eef000 00:00 0
b7ef0000-b7f0b000 r-xp 00000000 08:02 14143 /lib/ld-2.5.so
b7f0b000-b7f0d000 rw-p 0001b000 08:02 14143 /lib/ld-2.5.so
bfc39000-bfc4f000 rw-p bfc39000 00:00 0 [stack]
ffffe000-fffff000 r-xp 00000000 00:00 0 [vdso]
Traceback (most recent call last):
File "yab.py", line 48, in <module>
import adesklets
File "usr/lib/python2.5/site-packages/adesklets/__init__.py", line 43, in <module>
adesklets.error_handler.ADESKLETSError: adesklets process exited -
Exception exceptions.AttributeError: AttributeError("'NoneType' object has no attribute 'kill'",) in <bound method _Communicator.__del__ of <adesklets.communicator._Communicator instance at 0x8134aac>> ignored
bash-3.1# python yab.py
Do you want to (r)egister this desklet or to (t)est it? r
*** glibc detected *** adesklets: munmap_chunk(): invalid pointer: 0x08070010 ***
======= Backtrace: =========
/lib/libc.so.6(cfree+0x1b9)[0xb7c89219]
/usr/lib/libfontconfig.so.1(FcStrFree+0x3b)[0xb7d7917b]
/usr/lib/libfontconfig.so.1[0xb7d77323]
/usr/lib/libfontconfig.so.1(FcPatternDestroy+0x79)[0xb7d774f9]
/usr/lib/libfontconfig.so.1(FcFontSetDestroy+0x2f)[0xb7d70d7f]
adesklets[0x8055fb9]
adesklets[0x804e1a6]
adesklets[0x804ca88]
/lib/libc.so.6(__libc_start_main+0xd8)[0xb7c33df8]
adesklets(rl_filename_completion_function+0x5c9)[0x804c9c1]
======= Memory map: ========
08048000-08062000 r-xp 00000000 08:02 250381 /usr/local/bin/adesklets
08062000-08063000 rw-p 0001a000 08:02 250381 /usr/local/bin/adesklets
08063000-080a0000 rw-p 08063000 00:00 0 [heap]
b7aa9000-b7ab3000 r-xp 00000000 08:02 217 /usr/lib/libgcc_s.so.1
b7ab3000-b7ab4000 rw-p 00009000 08:02 217 /usr/lib/libgcc_s.so.1
b7ad1000-b7ae1000 r--s 00000000 08:02 93991 /var/cache/fontconfig/8d4af663993b81a124ee82e610bb31f9-x86.cache-2
b7ae1000-b7aeb000 r--s 00000000 08:02 93901 /var/cache/fontconfig/d62e99ef547d1d24cdb1bd22ec1a2976-x86.cache-2
b7aeb000-b7af4000 r-xp 00000000 08:02 14110 /lib/libnss_files-2.5.so
b7af4000-b7af6000 rw-p 00008000 08:02 14110 /lib/libnss_files-2.5.so
b7af6000-b7afe000 r-xp 00000000 08:02 14112 /lib/libnss_nis-2.5.so
b7afe000-b7b00000 rw-p 00007000 08:02 14112 /lib/libnss_nis-2.5.so
b7b00000-b7b13000 r-xp 00000000 08:02 14107 /lib/libnsl-2.5.so
b7b13000-b7b15000 rw-p 00012000 08:02 14107 /lib/libnsl-2.5.so
b7b15000-b7b17000 rw-p b7b15000 00:00 0
b7b17000-b7b1e000 r-xp 00000000 08:02 14108 /lib/libnss_compat-2.5.so
b7b1e000-b7b20000 rw-p 00006000 08:02 14108 /lib/libnss_compat-2.5.so
b7b20000-b7b21000 rw-p b7b20000 00:00 0
b7b21000-b7b25000 r-xp 00000000 08:02 205825 /usr/lib/libXdmcp.so.6.0.0
b7b25000-b7b26000 rw-p 00003000 08:02 205825 /usr/lib/libXdmcp.so.6.0.0
b7b26000-b7b28000 r-xp 00000000 08:02 205673 /usr/lib/libXau.so.6.0.0
b7b28000-b7b29000 rw-p 00001000 08:02 205673 /usr/lib/libXau.so.6.0.0
b7b29000-b7b2a000 rw-p b7b29000 00:00 0
b7b2a000-b7b48000 r-xp 00000000 08:02 243 /usr/lib/libexpat.so.1.5.2
b7b48000-b7b4a000 rw-p 0001d000 08:02 243 /usr/lib/libexpat.so.1.5.2
b7b4a000-b7b57000 r-xp 00000000 08:02 205848 /usr/lib/libXext.so.6.4.0
b7b57000-b7b58000 rw-p 0000c000 08:02 205848 /usr/lib/libXext.so.6.4.0
b7b58000-b7b6b000 r-xp 00000000 08:02 228 /usr/lib/libz.so.1.2.3
b7b6b000-b7b6c000 rw-p 00012000 08:02 228 /usr/lib/libz.so.1.2.3
b7b6c000-b7bd5000 r-xp 00000000 08:02 229 /usr/lib/libfreetype.so.6.3.15
b7bd5000-b7bd9000 rw-p 00068000 08:02 229 /usr/lib/libfreetype.so.6.3.15
b7bd9000-b7bdb000 r-xp 00000000 08:02 14104 /lib/libdl-2.5.so
b7bdb000-b7bdd000 rw-p 00001000 08:02 14104 /lib/libdl-2.5.so
b7bdd000-b7bde000 rw-p b7bdd000 00:00 0
b7bde000-b7bf4000 r-xp 00000000 08:02 206739 /usr/lib/libxcb.so.1.0.0
b7bf4000-b7bf5000 rw-p 00016000 08:02 206739 /usr/lib/libxcb.so.1.0.0
b7bf5000-b7bf6000 r-xp 00000000 08:02 206747 /usr/lib/libxcb-xlib.so.0.0.0
b7bf6000-b7bf7000 rw-p 00000000 08:02 206747 /usr/lib/libxcb-xlib.so.0.0.0
b7bf7000-b7c1c000 r-xp 00000000 08:02 14105 /lib/libm-2.5.so
b7c1c000-b7c1e000 rw-p 00024000 08:02 14105 /lib/libm-2.5.so
b7c1e000-b7d5a000 r-xp 00000000 08:02 14101 /lib/libc-2.5.so
b7d5a000-b7d5b000 r--p 0013c000 08:02 14101 /lib/libc-2.5.so
b7d5b000-b7d5d000 rw-p 0013d000 08:02 14101 /lib/libc-2.5.so
b7d5d000-b7d60000 rw-p b7d5d000 00:00 0
b7d60000-b7d83000 r-xp 00000000 08:02 204469 /usr/lib/libfontconfig.so.1.2.0
b7d83000-b7d8b000 rw-p 00022000 08:02 204469 /usr/lib/libfontconfig.so.1.2.0
b7d8b000-b7d91000 r-xp 00000000 08:02 207 /usr/lib/libhistory.so.5.2
b7d91000-b7d92000 rw-p 00006000 08:02 207 /usr/lib/libhistory.so.5.2
b7d92000-b7d93000 rw-p b7d92000 00:00 0
b7d93000-b7dbd000 r-xp 00000000 08:02 216 /usr/lib/libreadline.so.5.2
b7dbd000-b7dc1000 rw-p 0002a000 08:02 216 /usr/lib/libreadline.so.5.2
b7dc1000-b7dc2000 rw-p b7dc1000 00:00 0
b7dc2000-b7dfb000 r-xp 00000000 08:02 197 /lib/libncurses.so.5.6
b7dfb000-b7e03000 rw-p 00039000 08:02 197 /lib/libncurses.so.5.6
b7e03000-b7e54000 r-xp 00000000 08:02 252398 /usr/lib/libImlib2.so.1.4.0
b7e54000-b7e55000 rw-p 00051000 08:02 252398 /usr/lib/libImlib2.so.1.4.0
b7e55000-b7e69000 rw-p b7e55000 00:00 0
b7e69000-b7f4d000 r-xp 00000000 08:02 205011 /usr/lib/libX11.so.6.2.0
b7f4d000-b7f51000 rw-p 000e3000 08:02 205011 /usr/lib/libX11.so.6.2.0
b7f59000-b7f69000 r--s 00000000 08:02 93893 /var/cache/fontconfig/f6b893a7224233d96cb72fd88691c0b4-x86.cache-2
b7f69000-b7f6e000 r--s 00000000 08:02 93851 /var/cache/fontconfig/f349e9996a5320f6dd491cedd2b1f964-x86.cache-2
b7f6e000-b7f6f000 rw-p b7f6e000 00:00 0
b7f6f000-b7f8a000 r-xp 00000000 08:02 14143 /lib/ld-2.5.so
b7f8a000-b7f8c000 rw-p 0001b000 08:02 14143 /lib/ld-2.5.so
bfedc000-bfef1000 rw-p bfedc000 00:00 0 [stack]
ffffe000-fffff000 r-xp 00000000 00:00 0 [vdso]
Traceback (most recent call last):
File "yab.py", line 48, in <module>
import adesklets
File "usr/lib/python2.5/site-packages/adesklets/__init__.py", line 43, in <module>
adesklets.error_handler.ADESKLETSError: adesklets process exited -
Exception exceptions.AttributeError: AttributeError("'NoneType' object has no attribute 'kill'",) in <bound method _Communicator.__del__ of <adesklets.communicator._Communicator instance at 0x8134aac>> ignored"


Ai eu tento executa o comando adesklets ele simplesmente nao aparece nd
Alguem pode me ajuda???

[44] Comentário enviado por s4l4t1r em 08/01/2008 - 22:02h

?comentario=boa noite.
Eu tambem venho tendo este mesmo problema do "Comentário enviado por Miachon em 29/12/2007 - 18:43h:"
o engraçado que antes funfava legal no slack 11. e eu ainda nâo consegui resolver alguem ja resolveu isto ai??

[45] Comentário enviado por bahanmut em 29/01/2008 - 05:59h

Eu tava com esse mesmo problema do Miachon... dai eu instalei o adesklets por um pacote .tgz e consegui instalar o desklet.

foi nesse site: www.slacky.eu

o/


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor HostGator.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Viva o Android

Tópicos

Top 10 do mês

Scripts